Ticket #200 (closed defect: invalid)

Opened 11 years ago

Last modified 10 years ago

Drop optional ncurses support

Reported by: metux Owned by: metux
Priority: major Milestone: 4.7
Component: mc-core Version: 4.6.1
Keywords: Cc:
Blocked By: Blocking:
Branch state: Votes for changeset:

Description

Nobody seems to use ncurses, and it has several issues (eg. utf8), so we should drop it.

Change History

comment:1 Changed 11 years ago by ossi

i would drop slang, not ncurses, as the latter is the smaller library (by factor 2+).
ncurses supports utf8 just as well, and at least one patch for mc is floating around for some time now.

comment:2 Changed 11 years ago by metux

  • Keywords review added; rework removed

comment:3 Changed 11 years ago by metux

  • Status changed from new to accepted

comment:4 Changed 11 years ago by metux

rebased to current master

comment:5 Changed 11 years ago by andrew_b

  • Status changed from accepted to testing
  • Resolution set to fixed

Already in master.

comment:6 Changed 11 years ago by andrew_b

  • Status changed from testing to reopened
  • Resolution fixed deleted

О, sorry... Ticket mismatch. Ncurese is supported in master.

comment:7 Changed 11 years ago by angel_il

  • Status changed from reopened to closed
  • Resolution set to invalid

Are you need special milestone for this feature. This ticket not for mc 4.7.

comment:8 Changed 10 years ago by andrew_b

  • Keywords review removed
Note: See TracTickets for help on using tickets.